/**
  Open a file,
  jump 12 bytes from the start,
  and read a string from there.
  
  Orion Sky Lawlor, olawlor@acm.org, 2005/3/28 (public domain)
*/
#include <iostream>
#include <fstream>
#include <string>

int main() {
	std::ifstream f("test.dat",
		std::ios_base::in|std::ios_base::binary);
	f.seekg(12,std::ios_base::beg);
	std::string buf;
	
	while (f>>buf) {
		std::cout<<buf<<"\n";
	}
	return 0;
}

